oracle.pgx.config

## Class PgNosqlGraphConfigBuilder

- java.lang.Object
- - oracle.pgx.config.AbstractGraphConfigBuilder<T>
  - - oracle.pgx.config.AbstractPgGraphConfigBuilder<PgNosqlGraphConfig>
    - - oracle.pgx.config.PgNosqlGraphConfigBuilder

-     public class PgNosqlGraphConfigBuilder
      extends AbstractPgGraphConfigBuilder<PgNosqlGraphConfig>

  A builder for Property Graph (PG) Oracle NoSQL graph configuration objects.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PgNosqlGraphConfigBuilder()` Instantiates a new PgNosqlGraphConfigBuilder.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PgNosqlGraphConfigBuilder` | `addEdgeProperty(String name, PropertyType type, Object defaultVal)` Adds an edge property to this builder
    `PgNosqlGraphConfigBuilder` | `addVertexProperty(String name, PropertyType type, Object defaultVal)` Add a vertex property to this builder
    `PgNosqlGraphConfigBuilder` | `setCreateEdgeIdIndex(boolean create)` Sets the create edge id index flag.
    `PgNosqlGraphConfigBuilder` | `setCreateEdgeIdMapping(boolean create)` Sets the create edge id mapping.
    `PgNosqlGraphConfigBuilder` | `setCreateVertexIdIndex(boolean create)` Sets the create vertex ID index flag.
    `PgNosqlGraphConfigBuilder` | `setCreateVertexIdMapping(boolean create)` Sets the create vertex id mapping flag.
    `PgNosqlGraphConfigBuilder` | `setErrorHandlingOnMissedPropKey(OnMismatch action)` Sets the error handling on missed prop key.
    `PgNosqlGraphConfigBuilder` | `setErrorHandlingOnPropConversion(OnMismatch action)` Sets the error handling on prop conversion.
    `PgNosqlGraphConfigBuilder` | `setErrorHandlingOnTypeMismatch(OnMismatch action)` Sets the error handling on type mismatch.
    `PgNosqlGraphConfigBuilder` | `setHosts(List<String> hosts)` Sets the lists of hosts.
    `PgNosqlGraphConfigBuilder` | `setLoadEdgeLabel(boolean b)` Sets whether to load edge label.
    `PgNosqlGraphConfigBuilder` | `setMaxNumConnections(int c)` Sets the maximum number of connections.
    `PgNosqlGraphConfigBuilder` | `setName(String name)` Sets the Property Graph (PG) name.
    `PgNosqlGraphConfigBuilder` | `setPassword(String p)` Sets the password
    `PgNosqlGraphConfigBuilder` | `setRefreshIntervalMs(int milliseconds)` Sets the refresh interval in milliseconds
    `PgNosqlGraphConfigBuilder` | `setRequestTimeout(long timeout, TimeUnit unit)` Sets the request timeout.
    `PgNosqlGraphConfigBuilder` | `setStoreName(String storeName)` Sets the store name.
    `PgNosqlGraphConfigBuilder` | `setTrustStoreFile(String p)` Sets the Java truststore file
    `PgNosqlGraphConfigBuilder` | `setUsername(String u)` Sets the username

    - ### Methods inherited from class oracle.pgx.config.AbstractGraphConfigBuilder

      `addNodeProperty, build, setDateFormat`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PgNosqlGraphConfigBuilder

          public PgNosqlGraphConfigBuilder()

      Instantiates a new PgNosqlGraphConfigBuilder.

  - ### Method Detail

    - #### addEdgeProperty

          public PgNosqlGraphConfigBuilder addEdgeProperty(String name,
                                                  PropertyType type,
                                                  Object defaultVal)

      Description copied from class: `AbstractGraphConfigBuilder`
      Adds an edge property to this builder
      Overrides:
        `addEdgeProperty` in class `AbstractGraphConfigBuilder<PgNosqlGraphConfig>`
      Parameters:
        `name` - the name of the edge property
        `type` - the type of the edge property
        `defaultVal` - the default value of the edge property (can be `null`)
      Returns:
        this builder

    - #### addVertexProperty

          public PgNosqlGraphConfigBuilder addVertexProperty(String name,
                                                    PropertyType type,
                                                    Object defaultVal)

      Description copied from class: `AbstractGraphConfigBuilder`
      Add a vertex property to this builder
      Overrides:
        `addVertexProperty` in class `AbstractGraphConfigBuilder<PgNosqlGraphConfig>`
      Parameters:
        `name` - the name of the vertex property
        `type` - the type of the vertex property
        `defaultVal` - the default value of the vertex property (can be `null`)
      Returns:
        this builder

    - #### setCreateEdgeIdIndex

          public PgNosqlGraphConfigBuilder setCreateEdgeIdIndex(boolean create)

      Description copied from class: `AbstractGraphConfigBuilder`
      Sets the create edge id index flag.
      Overrides:
        `setCreateEdgeIdIndex` in class `AbstractGraphConfigBuilder<PgNosqlGraphConfig>`
      Parameters:
        `create` - if `true`, a edge ID index is created
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects and default of this flag`

    - #### setCreateEdgeIdMapping

          public PgNosqlGraphConfigBuilder setCreateEdgeIdMapping(boolean create)

      Description copied from class: `AbstractGraphConfigBuilder`
      Sets the create edge id mapping.
      Overrides:
        `setCreateEdgeIdMapping` in class `AbstractGraphConfigBuilder<PgNosqlGraphConfig>`
      Parameters:
        `create` - if `true`, a edge ID mapping is created
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects and default of this flag`

    - #### setCreateVertexIdIndex

          public PgNosqlGraphConfigBuilder setCreateVertexIdIndex(boolean create)

      Description copied from class: `AbstractGraphConfigBuilder`
      Sets the create vertex ID index flag.
      Overrides:
        `setCreateVertexIdIndex` in class `AbstractGraphConfigBuilder<PgNosqlGraphConfig>`
      Parameters:
        `create` - if `true`, a vertex ID index is created
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects and default of this flag`

    - #### setCreateVertexIdMapping

          public PgNosqlGraphConfigBuilder setCreateVertexIdMapping(boolean create)

      Description copied from class: `AbstractGraphConfigBuilder`
      Sets the create vertex id mapping flag.
      Overrides:
        `setCreateVertexIdMapping` in class `AbstractGraphConfigBuilder<PgNosqlGraphConfig>`
      Parameters:
        `create` - if `true`, a vertex ID mapping is created
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects and default of this flag`

    - #### setErrorHandlingOnMissedPropKey

          public PgNosqlGraphConfigBuilder setErrorHandlingOnMissedPropKey(OnMismatch action)

      Description copied from class: `AbstractGraphConfigBuilder`
      Sets the error handling on missed prop key.
      Overrides:
        `setErrorHandlingOnMissedPropKey` in class `AbstractGraphConfigBuilder<PgNosqlGraphConfig>`
      Parameters:
        `action` - the action
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects and default of this setting`

    - #### setErrorHandlingOnPropConversion

          public PgNosqlGraphConfigBuilder setErrorHandlingOnPropConversion(OnMismatch action)

      Description copied from class: `AbstractGraphConfigBuilder`
      Sets the error handling on prop conversion.
      Overrides:
        `setErrorHandlingOnPropConversion` in class `AbstractGraphConfigBuilder<PgNosqlGraphConfig>`
      Parameters:
        `action` - the action
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects and default of this setting`

    - #### setErrorHandlingOnTypeMismatch

          public PgNosqlGraphConfigBuilder setErrorHandlingOnTypeMismatch(OnMismatch action)

      Description copied from class: `AbstractGraphConfigBuilder`
      Sets the error handling on type mismatch.
      Overrides:
        `setErrorHandlingOnTypeMismatch` in class `AbstractGraphConfigBuilder<PgNosqlGraphConfig>`
      Parameters:
        `action` - the action
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects and default of this setting`

    - #### setHosts

          public PgNosqlGraphConfigBuilder setHosts(List<String> hosts)

      Sets the lists of hosts.
      Parameters:
        `hosts` - the hosts
      Returns:
        this builder

    - #### setLoadEdgeLabel

          public PgNosqlGraphConfigBuilder setLoadEdgeLabel(boolean b)

      Description copied from class: `AbstractPgGraphConfigBuilder`
      Sets whether to load edge label.
      Overrides:
        `setLoadEdgeLabel` in class `AbstractPgGraphConfigBuilder<PgNosqlGraphConfig>`
      Parameters:
        `b` - if true, loads the edge label
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects and default of this setting`

    - #### setMaxNumConnections

          public PgNosqlGraphConfigBuilder setMaxNumConnections(int c)

      Description copied from class: `AbstractPgGraphConfigBuilder`
      Sets the maximum number of connections.
      Overrides:
        `setMaxNumConnections` in class `AbstractPgGraphConfigBuilder<PgNosqlGraphConfig>`
      Parameters:
        `c` - the number of connections
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects and default of this setting`

    - #### setName

          public PgNosqlGraphConfigBuilder setName(String name)

      Description copied from class: `AbstractPgGraphConfigBuilder`
      Sets the Property Graph (PG) name.
      Overrides:
        `setName` in class `AbstractPgGraphConfigBuilder<PgNosqlGraphConfig>`
      Parameters:
        `name` - the name
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects of this setting`

    - #### setPassword

          public PgNosqlGraphConfigBuilder setPassword(String p)

      Sets the password
      Parameters:
        `p` - the password
      Returns:
        this builder

    - #### setRefreshIntervalMs

          public PgNosqlGraphConfigBuilder setRefreshIntervalMs(int milliseconds)

      Description copied from class: `AbstractGraphConfigBuilder`
      Sets the refresh interval in milliseconds
      Overrides:
        `setRefreshIntervalMs` in class `AbstractGraphConfigBuilder<PgNosqlGraphConfig>`
      Parameters:
        `milliseconds` - the interval in milliseconds
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects and default of this flag`

    - #### setRequestTimeout

          public PgNosqlGraphConfigBuilder setRequestTimeout(long timeout,
                                                    TimeUnit unit)

      Sets the request timeout.
      Parameters:
        `timeout` - the timeout
        `unit` - the time unit
      Returns:
        this builder

    - #### setStoreName

          public PgNosqlGraphConfigBuilder setStoreName(String storeName)

      Sets the store name.
      Parameters:
        `storeName` - the store name
      Returns:
        this builder

    - #### setTrustStoreFile

          public PgNosqlGraphConfigBuilder setTrustStoreFile(String p)

      Sets the Java truststore file
      Parameters:
        `p` - the name and path to a Java truststore file
      Returns:
        this builder

    - #### setUsername

          public PgNosqlGraphConfigBuilder setUsername(String u)

      Sets the username
      Parameters:
        `u` - the username
      Returns:
        this builder

Copyright © 2015. All rights reserved.